# org.pdfclown.util.ConvertUtils Class Reference

Data convertion utility. More...

List of all members.

## Static Public Member Functions
static string | ByteArrayToHex (byte[] data)
static int | ByteArrayToInt (byte[] data, int index, ByteOrderEnum byteOrder)
static int | ByteArrayToInt (byte[] data)
static int | ByteArrayToNumber (byte[] data, int index, int length, ByteOrderEnum byteOrder)
static byte[] | HexToByteArray (string data)
static byte[] | IntToByteArray (int data)
static byte[] | NumberToByteArray (int data, int length, ByteOrderEnum byteOrder)
static float[] | ToFloatArray (double[] array)

##

Data convertion utility.

This class is a specialized adaptation from the original Apache Commons Codec project, licensed under the Apache License, Version 2.0.

## Member Function Documentation

static string org.pdfclown.util.ConvertUtils.ByteArrayToHex | ( | byte[] | data | ) | `[static]`

static int org.pdfclown.util.ConvertUtils.ByteArrayToInt | ( | byte[] | data,
|  | int | index,
|  | ByteOrderEnum | byteOrder |
| ) |  |  | `[static]`

static int org.pdfclown.util.ConvertUtils.ByteArrayToInt | ( | byte[] | data | ) | `[static]`

References org.pdfclown.util.ConvertUtils.ByteArrayToInt().

Referenced by org.pdfclown.util.ConvertUtils.ByteArrayToInt().

static int org.pdfclown.util.ConvertUtils.ByteArrayToNumber | ( | byte[] | data,
|  | int | index,
|  | int | length,
|  | ByteOrderEnum | byteOrder |
| ) |  |  | `[static]`

static byte [] org.pdfclown.util.ConvertUtils.HexToByteArray | ( | string | data | ) | `[static]`

static byte [] org.pdfclown.util.ConvertUtils.IntToByteArray | ( | int | data | ) | `[static]`

static byte [] org.pdfclown.util.ConvertUtils.NumberToByteArray | ( | int | data,
|  | int | length,
|  | ByteOrderEnum | byteOrder |
| ) |  |  | `[static]`

static float [] org.pdfclown.util.ConvertUtils.ToFloatArray | ( | double[] | array | ) | `[static]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.